source: squid-ssl/trunk/fuentes/helpers/negotiate_auth/kerberos/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 48.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = negotiate_kerberos_auth$(EXEEXT) \
95        negotiate_kerberos_auth_test$(EXEEXT)
96subdir = helpers/negotiate_auth/kerberos
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_negotiate_kerberos_auth_OBJECTS =  \
166        negotiate_kerberos_auth.$(OBJEXT) \
167        negotiate_kerberos_pac.$(OBJEXT)
168negotiate_kerberos_auth_OBJECTS =  \
169        $(am_negotiate_kerberos_auth_OBJECTS)
170@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
171am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
172        $(am__DEPENDENCIES_1)
173am__DEPENDENCIES_3 =
174negotiate_kerberos_auth_DEPENDENCIES =  \
175        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
176        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
177        $(am__DEPENDENCIES_3)
178AM_V_lt = $(am__v_lt_@AM_V@)
179am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
180am__v_lt_0 = --silent
181am__v_lt_1 =
182negotiate_kerberos_auth_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
183        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
184        $(AM_CXXFLAGS) $(CXXFLAGS) $(negotiate_kerberos_auth_LDFLAGS) \
185        $(LDFLAGS) -o $@
186am_negotiate_kerberos_auth_test_OBJECTS =  \
187        negotiate_kerberos_auth_test.$(OBJEXT)
188negotiate_kerberos_auth_test_OBJECTS =  \
189        $(am_negotiate_kerberos_auth_test_OBJECTS)
190negotiate_kerberos_auth_test_DEPENDENCIES =  \
191        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
192        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
193        $(am__DEPENDENCIES_3)
194negotiate_kerberos_auth_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
195        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
196        $(AM_CXXFLAGS) $(CXXFLAGS) \
197        $(negotiate_kerberos_auth_test_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_P = $(am__v_P_@AM_V@)
199am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
200am__v_P_0 = false
201am__v_P_1 = :
202AM_V_GEN = $(am__v_GEN_@AM_V@)
203am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
204am__v_GEN_0 = @echo "  GEN     " $@;
205am__v_GEN_1 =
206AM_V_at = $(am__v_at_@AM_V@)
207am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
208am__v_at_0 = @
209am__v_at_1 =
210DEFAULT_INCLUDES =
211depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
212am__depfiles_maybe = depfiles
213am__mv = mv -f
214CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
215        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
216LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
218        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
219        $(AM_CXXFLAGS) $(CXXFLAGS)
220AM_V_CXX = $(am__v_CXX_@AM_V@)
221am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
222am__v_CXX_0 = @echo "  CXX     " $@;
223am__v_CXX_1 =
224CXXLD = $(CXX)
225CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
226        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
227        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
228AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
229am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
230am__v_CXXLD_0 = @echo "  CXXLD   " $@;
231am__v_CXXLD_1 =
232COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
233        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
234LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
235        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
236        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
237        $(AM_CFLAGS) $(CFLAGS)
238AM_V_CC = $(am__v_CC_@AM_V@)
239am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
240am__v_CC_0 = @echo "  CC      " $@;
241am__v_CC_1 =
242CCLD = $(CC)
243LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
245        $(AM_LDFLAGS) $(LDFLAGS) -o $@
246AM_V_CCLD = $(am__v_CCLD_@AM_V@)
247am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
248am__v_CCLD_0 = @echo "  CCLD    " $@;
249am__v_CCLD_1 =
250SOURCES = $(negotiate_kerberos_auth_SOURCES) \
251        $(negotiate_kerberos_auth_test_SOURCES)
252DIST_SOURCES = $(negotiate_kerberos_auth_SOURCES) \
253        $(negotiate_kerberos_auth_test_SOURCES)
254RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
255        ctags-recursive dvi-recursive html-recursive info-recursive \
256        install-data-recursive install-dvi-recursive \
257        install-exec-recursive install-html-recursive \
258        install-info-recursive install-pdf-recursive \
259        install-ps-recursive install-recursive installcheck-recursive \
260        installdirs-recursive pdf-recursive ps-recursive \
261        tags-recursive uninstall-recursive
262am__can_run_installinfo = \
263  case $$AM_UPDATE_INFO_DIR in \
264    n|no|NO) false;; \
265    *) (install-info --version) >/dev/null 2>&1;; \
266  esac
267am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
268am__vpath_adj = case $$p in \
269    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
270    *) f=$$p;; \
271  esac;
272am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
273am__install_max = 40
274am__nobase_strip_setup = \
275  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
276am__nobase_strip = \
277  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
278am__nobase_list = $(am__nobase_strip_setup); \
279  for p in $$list; do echo "$$p $$p"; done | \
280  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
281  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
282    if (++n[$$2] == $(am__install_max)) \
283      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
284    END { for (dir in files) print dir, files[dir] }'
285am__base_list = \
286  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
287  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
288am__uninstall_files_from_dir = { \
289  test -z "$$files" \
290    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
291    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
292         $(am__cd) "$$dir" && rm -f $$files; }; \
293  }
294man8dir = $(mandir)/man8
295NROFF = nroff
296MANS = $(man_MANS)
297RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
298  distclean-recursive maintainer-clean-recursive
299am__recursive_targets = \
300  $(RECURSIVE_TARGETS) \
301  $(RECURSIVE_CLEAN_TARGETS) \
302  $(am__extra_recursive_targets)
303AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
304        check recheck distdir
305am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
306# Read a list of newline-separated strings from the standard input,
307# and print each of them once, without duplicates.  Input order is
308# *not* preserved.
309am__uniquify_input = $(AWK) '\
310  BEGIN { nonempty = 0; } \
311  { items[$$0] = 1; nonempty = 1; } \
312  END { if (nonempty) { for (i in items) print i; }; } \
313'
314# Make sure the list of sources is unique.  This is necessary because,
315# e.g., the same source file might be shared among _SOURCES variables
316# for different programs/libraries.
317am__define_uniq_tagged_files = \
318  list='$(am__tagged_files)'; \
319  unique=`for i in $$list; do \
320    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321  done | $(am__uniquify_input)`
322ETAGS = etags
323CTAGS = ctags
324am__tty_colors_dummy = \
325  mgn= red= grn= lgn= blu= brg= std=; \
326  am__color_tests=no
327am__tty_colors = { \
328  $(am__tty_colors_dummy); \
329  if test "X$(AM_COLOR_TESTS)" = Xno; then \
330    am__color_tests=no; \
331  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
332    am__color_tests=yes; \
333  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
334    am__color_tests=yes; \
335  fi; \
336  if test $$am__color_tests = yes; then \
337    red='[0;31m'; \
338    grn='[0;32m'; \
339    lgn='[1;32m'; \
340    blu='[1;34m'; \
341    mgn='[0;35m'; \
342    brg='[1m'; \
343    std='[m'; \
344  fi; \
345}
346am__recheck_rx = ^[     ]*:recheck:[    ]*
347am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
348am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
349# A command that, given a newline-separated list of test names on the
350# standard input, print the name of the tests that are to be re-run
351# upon "make recheck".
352am__list_recheck_tests = $(AWK) '{ \
353  recheck = 1; \
354  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
355    { \
356      if (rc < 0) \
357        { \
358          if ((getline line2 < ($$0 ".log")) < 0) \
359            recheck = 0; \
360          break; \
361        } \
362      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
363        { \
364          recheck = 0; \
365          break; \
366        } \
367      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
368        { \
369          break; \
370        } \
371    }; \
372  if (recheck) \
373    print $$0; \
374  close ($$0 ".trs"); \
375  close ($$0 ".log"); \
376}'
377# A command that, given a newline-separated list of test names on the
378# standard input, create the global log from their .trs and .log files.
379am__create_global_log = $(AWK) ' \
380function fatal(msg) \
381{ \
382  print "fatal: making $@: " msg | "cat >&2"; \
383  exit 1; \
384} \
385function rst_section(header) \
386{ \
387  print header; \
388  len = length(header); \
389  for (i = 1; i <= len; i = i + 1) \
390    printf "="; \
391  printf "\n\n"; \
392} \
393{ \
394  copy_in_global_log = 1; \
395  global_test_result = "RUN"; \
396  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
397    { \
398      if (rc < 0) \
399         fatal("failed to read from " $$0 ".trs"); \
400      if (line ~ /$(am__global_test_result_rx)/) \
401        { \
402          sub("$(am__global_test_result_rx)", "", line); \
403          sub("[        ]*$$", "", line); \
404          global_test_result = line; \
405        } \
406      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
407        copy_in_global_log = 0; \
408    }; \
409  if (copy_in_global_log) \
410    { \
411      rst_section(global_test_result ": " $$0); \
412      while ((rc = (getline line < ($$0 ".log"))) != 0) \
413      { \
414        if (rc < 0) \
415          fatal("failed to read from " $$0 ".log"); \
416        print line; \
417      }; \
418      printf "\n"; \
419    }; \
420  close ($$0 ".trs"); \
421  close ($$0 ".log"); \
422}'
423# Restructured Text title.
424am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
425# Solaris 10 'make', and several other traditional 'make' implementations,
426# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
427# by disabling -e (using the XSI extension "set +e") if it's set.
428am__sh_e_setup = case $$- in *e*) set +e;; esac
429# Default flags passed to test drivers.
430am__common_driver_flags = \
431  --color-tests "$$am__color_tests" \
432  --enable-hard-errors "$$am__enable_hard_errors" \
433  --expect-failure "$$am__expect_failure"
434# To be inserted before the command running the test.  Creates the
435# directory for the log if needed.  Stores in $dir the directory
436# containing $f, in $tst the test, in $log the log.  Executes the
437# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
438# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
439# will run the test scripts (or their associated LOG_COMPILER, if
440# thy have one).
441am__check_pre = \
442$(am__sh_e_setup);                                      \
443$(am__vpath_adj_setup) $(am__vpath_adj)                 \
444$(am__tty_colors);                                      \
445srcdir=$(srcdir); export srcdir;                        \
446case "$@" in                                            \
447  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
448    *) am__odir=.;;                                     \
449esac;                                                   \
450test "x$$am__odir" = x"." || test -d "$$am__odir"       \
451  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
452if test -f "./$$f"; then dir=./;                        \
453elif test -f "$$f"; then dir=;                          \
454else dir="$(srcdir)/"; fi;                              \
455tst=$$dir$$f; log='$@';                                 \
456if test -n '$(DISABLE_HARD_ERRORS)'; then               \
457  am__enable_hard_errors=no;                            \
458else                                                    \
459  am__enable_hard_errors=yes;                           \
460fi;                                                     \
461case " $(XFAIL_TESTS) " in                              \
462  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
463    am__expect_failure=yes;;                            \
464  *)                                                    \
465    am__expect_failure=no;;                             \
466esac;                                                   \
467$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
468# A shell command to get the names of the tests scripts with any registered
469# extension removed (i.e., equivalently, the names of the test logs, with
470# the '.log' extension removed).  The result is saved in the shell variable
471# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
472# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
473# since that might cause problem with VPATH rewrites for suffix-less tests.
474# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
475am__set_TESTS_bases = \
476  bases='$(TEST_LOGS)'; \
477  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
478  bases=`echo $$bases`
479RECHECK_LOGS = $(TEST_LOGS)
480TEST_SUITE_LOG = test-suite.log
481TEST_EXTENSIONS = @EXEEXT@ .test
482am__test_logs1 = $(TESTS:=.log)
483am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
484TEST_LOGS = $(am__test_logs2:.test.log=.log)
485TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
486TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
487        $(TEST_LOG_FLAGS)
488am__set_b = \
489  case '$@' in \
490    */*) \
491      case '$*' in \
492        */*) b='$*';; \
493          *) b=`echo '$@' | sed 's/\.log$$//'`; \
494       esac;; \
495    *) \
496      b='$*';; \
497  esac
498DIST_SUBDIRS = $(SUBDIRS)
499am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
500        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
501        README
502DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
503am__relativize = \
504  dir0=`pwd`; \
505  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
506  sed_rest='s,^[^/]*/*,,'; \
507  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
508  sed_butlast='s,/*[^/]*$$,,'; \
509  while test -n "$$dir1"; do \
510    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
511    if test "$$first" != "."; then \
512      if test "$$first" = ".."; then \
513        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
514        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
515      else \
516        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
517        if test "$$first2" = "$$first"; then \
518          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
519        else \
520          dir2="../$$dir2"; \
521        fi; \
522        dir0="$$dir0"/"$$first"; \
523      fi; \
524    fi; \
525    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
526  done; \
527  reldir="$$dir2"
528ACLOCAL = @ACLOCAL@
529ADAPTATION_LIBS = @ADAPTATION_LIBS@
530ALLOCA = @ALLOCA@
531AMTAR = @AMTAR@
532AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
533AR = @AR@
534ARGZ_H = @ARGZ_H@
535AR_R = @AR_R@
536AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
537AUTH_MODULES = @AUTH_MODULES@
538AUTOCONF = @AUTOCONF@
539AUTOHEADER = @AUTOHEADER@
540AUTOMAKE = @AUTOMAKE@
541AWK = @AWK@
542BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
543BUILDCXX = @BUILDCXX@
544BUILDCXXFLAGS = @BUILDCXXFLAGS@
545BZR = @BZR@
546CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
547CC = @CC@
548CCDEPMODE = @CCDEPMODE@
549CFLAGS = @CFLAGS@
550CGIEXT = @CGIEXT@
551CHMOD = @CHMOD@
552CPP = @CPP@
553CPPFLAGS = @CPPFLAGS@
554CPPUNITCONFIG = @CPPUNITCONFIG@
555CRYPTLIB = @CRYPTLIB@
556CXX = @CXX@
557CXXCPP = @CXXCPP@
558CXXDEPMODE = @CXXDEPMODE@
559CXXFLAGS = @CXXFLAGS@
560CYGPATH_W = @CYGPATH_W@
561DEFAULT_HOSTS = @DEFAULT_HOSTS@
562DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
563DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
564DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
565DEFS = @DEFS@
566DEPDIR = @DEPDIR@
567DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
568DISK_LIBS = @DISK_LIBS@
569DISK_LINKOBJS = @DISK_LINKOBJS@
570DISK_MODULES = @DISK_MODULES@
571DISK_OS_LIBS = @DISK_OS_LIBS@
572DISK_PROGRAMS = @DISK_PROGRAMS@
573DLLTOOL = @DLLTOOL@
574DSYMUTIL = @DSYMUTIL@
575DUMPBIN = @DUMPBIN@
576ECAP_LIBS = @ECAP_LIBS@
577ECHO_C = @ECHO_C@
578ECHO_N = @ECHO_N@
579ECHO_T = @ECHO_T@
580EGREP = @EGREP@
581EPOLL_LIBS = @EPOLL_LIBS@
582EUILIB = @EUILIB@
583EXEEXT = @EXEEXT@
584EXPATLIB = @EXPATLIB@
585EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
586EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
587EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
588FALSE = @FALSE@
589FGREP = @FGREP@
590GREP = @GREP@
591HAVE_CXX11 = @HAVE_CXX11@
592ICAP_LIBS = @ICAP_LIBS@
593INCLTDL = @INCLTDL@
594INSTALL = @INSTALL@
595INSTALL_DATA = @INSTALL_DATA@
596INSTALL_PROGRAM = @INSTALL_PROGRAM@
597INSTALL_SCRIPT = @INSTALL_SCRIPT@
598INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
599KRB5INCS = @KRB5INCS@
600KRB5LIBS = @KRB5LIBS@
601LBERLIB = @LBERLIB@
602LD = @LD@
603LDAPLIB = @LDAPLIB@
604LDFLAGS = @LDFLAGS@
605LIBADD_DL = @LIBADD_DL@
606LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
607LIBADD_DLOPEN = @LIBADD_DLOPEN@
608LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
609LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
610LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
611LIBLTDL = @LIBLTDL@
612LIBOBJS = @LIBOBJS@
613LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
614LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
615LIBS = @LIBS@
616LIBSASL = @LIBSASL@
617LIBTOOL = @LIBTOOL@
618LIB_DB = @LIB_DB@
619LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
620LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
621LINUXDOC = @LINUXDOC@
622LIPO = @LIPO@
623LN = @LN@
624LN_S = @LN_S@
625LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
626LTDLDEPS = @LTDLDEPS@
627LTDLINCL = @LTDLINCL@
628LTDLOPEN = @LTDLOPEN@
629LTLIBOBJS = @LTLIBOBJS@
630LT_CONFIG_H = @LT_CONFIG_H@
631LT_DLLOADERS = @LT_DLLOADERS@
632LT_DLPREOPEN = @LT_DLPREOPEN@
633MAINT = @MAINT@
634MAKEINFO = @MAKEINFO@
635MANIFEST_TOOL = @MANIFEST_TOOL@
636MINGW_LIBS = @MINGW_LIBS@
637MKDIR = @MKDIR@
638MKDIR_P = @MKDIR_P@
639MV = @MV@
640NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
641NETTLELIB = @NETTLELIB@
642NM = @NM@
643NMEDIT = @NMEDIT@
644NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
645OBJDUMP = @OBJDUMP@
646OBJEXT = @OBJEXT@
647OTOOL = @OTOOL@
648OTOOL64 = @OTOOL64@
649PACKAGE = @PACKAGE@
650PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
651PACKAGE_NAME = @PACKAGE_NAME@
652PACKAGE_STRING = @PACKAGE_STRING@
653PACKAGE_TARNAME = @PACKAGE_TARNAME@
654PACKAGE_URL = @PACKAGE_URL@
655PACKAGE_VERSION = @PACKAGE_VERSION@
656PATH_SEPARATOR = @PATH_SEPARATOR@
657PERL = @PERL@
658PKG_CONFIG = @PKG_CONFIG@
659PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
660PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
661PO2HTML = @PO2HTML@
662PO2TEXT = @PO2TEXT@
663POD2MAN = @POD2MAN@
664RANLIB = @RANLIB@
665REGEXLIB = @REGEXLIB@
666REPL_LIBS = @REPL_LIBS@
667REPL_OBJS = @REPL_OBJS@
668REPL_POLICIES = @REPL_POLICIES@
669RM = @RM@
670SED = @SED@
671SET_MAKE = @SET_MAKE@
672SH = @SH@
673SHELL = @SHELL@
674SMBCLIENT = @SMBCLIENT@
675SNMPLIB = @SNMPLIB@
676SQUID_CFLAGS = @SQUID_CFLAGS@
677SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
678SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
679SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
680SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
681SSLLIB = @SSLLIB@
682STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
683STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
684STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
685STORE_TESTS = @STORE_TESTS@
686STRIP = @STRIP@
687TR = @TR@
688TRUE = @TRUE@
689URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
690VERSION = @VERSION@
691WBINFO = @WBINFO@
692WIN32_PSAPI = @WIN32_PSAPI@
693XMLLIB = @XMLLIB@
694XTRA_LIBS = @XTRA_LIBS@
695XTRA_OBJS = @XTRA_OBJS@
696abs_builddir = @abs_builddir@
697abs_srcdir = @abs_srcdir@
698abs_top_builddir = @abs_top_builddir@
699abs_top_srcdir = @abs_top_srcdir@
700ac_ct_AR = @ac_ct_AR@
701ac_ct_CC = @ac_ct_CC@
702ac_ct_CXX = @ac_ct_CXX@
703ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
704am__include = @am__include@
705am__leading_dot = @am__leading_dot@
706am__quote = @am__quote@
707am__tar = @am__tar@
708am__untar = @am__untar@
709bindir = @bindir@
710build = @build@
711build_alias = @build_alias@
712build_cpu = @build_cpu@
713build_os = @build_os@
714build_vendor = @build_vendor@
715builddir = @builddir@
716datadir = @datadir@
717datarootdir = @datarootdir@
718docdir = @docdir@
719dvidir = @dvidir@
720exec_prefix = @exec_prefix@
721host = @host@
722host_alias = @host_alias@
723host_cpu = @host_cpu@
724host_os = @host_os@
725host_vendor = @host_vendor@
726htmldir = @htmldir@
727includedir = @includedir@
728infodir = @infodir@
729install_sh = @install_sh@
730krb5_config = @krb5_config@
731libdir = @libdir@
732libexecdir = @libexecdir@
733localedir = @localedir@
734localstatedir = @localstatedir@
735ltdl_LIBOBJS = @ltdl_LIBOBJS@
736ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
737mandir = @mandir@
738mkdir_p = @mkdir_p@
739oldincludedir = @oldincludedir@
740pdfdir = @pdfdir@
741prefix = @prefix@
742program_transform_name = @program_transform_name@
743psdir = @psdir@
744runstatedir = @runstatedir@
745sbindir = @sbindir@
746sharedstatedir = @sharedstatedir@
747srcdir = @srcdir@
748subdirs = @subdirs@
749sys_symbol_underscore = @sys_symbol_underscore@
750sysconfdir = @sysconfdir@
751target_alias = @target_alias@
752top_build_prefix = @top_build_prefix@
753top_builddir = @top_builddir@
754top_srcdir = @top_srcdir@
755AM_CFLAGS = $(SQUID_CFLAGS)
756AM_CXXFLAGS = $(SQUID_CXXFLAGS)
757CLEANFILES =
758AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
759        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
760        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
761        $(am__append_1) -I$(srcdir)
762@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
763@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
764COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
765subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
766EXTRA_DIST = README required.m4 negotiate_kerberos_auth.8
767SUBDIRS =
768negotiate_kerberos_auth_SOURCES = negotiate_kerberos_auth.cc negotiate_kerberos_pac.cc negotiate_kerberos.h
769negotiate_kerberos_auth_LDFLAGS =
770negotiate_kerberos_auth_LDADD = \
771        $(top_builddir)/lib/libmiscencoding.la \
772        $(COMPAT_LIB) \
773        $(NETTLELIB) \
774        $(KRB5LIBS) \
775        $(XTRA_LIBS)
776
777negotiate_kerberos_auth_test_SOURCES = negotiate_kerberos_auth_test.cc
778negotiate_kerberos_auth_test_LDFLAGS =
779negotiate_kerberos_auth_test_LDADD = \
780        $(top_builddir)/lib/libmiscencoding.la \
781        $(COMPAT_LIB) \
782        $(NETTLELIB) \
783        $(KRB5LIBS) \
784        $(XTRA_LIBS)
785
786man_MANS = negotiate_kerberos_auth.8
787all: all-recursive
788
789.SUFFIXES:
790.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
791$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
792        @for dep in $?; do \
793          case '$(am__configure_deps)' in \
794            *$$dep*) \
795              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
796                && { if test -f $@; then exit 0; else break; fi; }; \
797              exit 1;; \
798          esac; \
799        done; \
800        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/negotiate_auth/kerberos/Makefile'; \
801        $(am__cd) $(top_srcdir) && \
802          $(AUTOMAKE) --foreign helpers/negotiate_auth/kerberos/Makefile
803Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
804        @case '$?' in \
805          *config.status*) \
806            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
807          *) \
808            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
809            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
810        esac;
811$(top_srcdir)/src/Common.am $(am__empty):
812
813$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
814        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
815
816$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
817        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
818$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
819        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
820$(am__aclocal_m4_deps):
821
822clean-checkPROGRAMS:
823        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
824        echo " rm -f" $$list; \
825        rm -f $$list || exit $$?; \
826        test -n "$(EXEEXT)" || exit 0; \
827        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
828        echo " rm -f" $$list; \
829        rm -f $$list
830install-libexecPROGRAMS: $(libexec_PROGRAMS)
831        @$(NORMAL_INSTALL)
832        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
833        if test -n "$$list"; then \
834          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
835          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
836        fi; \
837        for p in $$list; do echo "$$p $$p"; done | \
838        sed 's/$(EXEEXT)$$//' | \
839        while read p p1; do if test -f $$p \
840         || test -f $$p1 \
841          ; then echo "$$p"; echo "$$p"; else :; fi; \
842        done | \
843        sed -e 'p;s,.*/,,;n;h' \
844            -e 's|.*|.|' \
845            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
846        sed 'N;N;N;s,\n, ,g' | \
847        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
848          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
849            if ($$2 == $$4) files[d] = files[d] " " $$1; \
850            else { print "f", $$3 "/" $$4, $$1; } } \
851          END { for (d in files) print "f", d, files[d] }' | \
852        while read type dir files; do \
853            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
854            test -z "$$files" || { \
855            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
856            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
857            } \
858        ; done
859
860uninstall-libexecPROGRAMS:
861        @$(NORMAL_UNINSTALL)
862        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
863        files=`for p in $$list; do echo "$$p"; done | \
864          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
865              -e 's/$$/$(EXEEXT)/' \
866        `; \
867        test -n "$$list" || exit 0; \
868        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
869        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
870
871clean-libexecPROGRAMS:
872        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
873        echo " rm -f" $$list; \
874        rm -f $$list || exit $$?; \
875        test -n "$(EXEEXT)" || exit 0; \
876        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
877        echo " rm -f" $$list; \
878        rm -f $$list
879
880negotiate_kerberos_auth$(EXEEXT): $(negotiate_kerberos_auth_OBJECTS) $(negotiate_kerberos_auth_DEPENDENCIES) $(EXTRA_negotiate_kerberos_auth_DEPENDENCIES)
881        @rm -f negotiate_kerberos_auth$(EXEEXT)
882        $(AM_V_CXXLD)$(negotiate_kerberos_auth_LINK) $(negotiate_kerberos_auth_OBJECTS) $(negotiate_kerberos_auth_LDADD) $(LIBS)
883
884negotiate_kerberos_auth_test$(EXEEXT): $(negotiate_kerberos_auth_test_OBJECTS) $(negotiate_kerberos_auth_test_DEPENDENCIES) $(EXTRA_negotiate_kerberos_auth_test_DEPENDENCIES)
885        @rm -f negotiate_kerberos_auth_test$(EXEEXT)
886        $(AM_V_CXXLD)$(negotiate_kerberos_auth_test_LINK) $(negotiate_kerberos_auth_test_OBJECTS) $(negotiate_kerberos_auth_test_LDADD) $(LIBS)
887
888mostlyclean-compile:
889        -rm -f *.$(OBJEXT)
890
891distclean-compile:
892        -rm -f *.tab.c
893
894@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_kerberos_auth.Po@am__quote@
895@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_kerberos_auth_test.Po@am__quote@
896@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_kerberos_pac.Po@am__quote@
897
898.cc.o:
899@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
900@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
901@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
902@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
903@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
904@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
905
906.cc.obj:
907@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
908@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
909@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
910@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
911@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
912@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
913
914.cc.lo:
915@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
916@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
917@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
918@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
919@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
920@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
921
922mostlyclean-libtool:
923        -rm -f *.lo
924
925clean-libtool:
926        -rm -rf .libs _libs
927install-man8: $(man_MANS)
928        @$(NORMAL_INSTALL)
929        @list1=''; \
930        list2='$(man_MANS)'; \
931        test -n "$(man8dir)" \
932          && test -n "`echo $$list1$$list2`" \
933          || exit 0; \
934        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
935        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
936        { for i in $$list1; do echo "$$i"; done;  \
937        if test -n "$$list2"; then \
938          for i in $$list2; do echo "$$i"; done \
939            | sed -n '/\.8[a-z]*$$/p'; \
940        fi; \
941        } | while read p; do \
942          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
943          echo "$$d$$p"; echo "$$p"; \
944        done | \
945        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
946              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
947        sed 'N;N;s,\n, ,g' | { \
948        list=; while read file base inst; do \
949          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
950            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
951            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
952          fi; \
953        done; \
954        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
955        while read files; do \
956          test -z "$$files" || { \
957            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
958            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
959        done; }
960
961uninstall-man8:
962        @$(NORMAL_UNINSTALL)
963        @list=''; test -n "$(man8dir)" || exit 0; \
964        files=`{ for i in $$list; do echo "$$i"; done; \
965        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
966          sed -n '/\.8[a-z]*$$/p'; \
967        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
968              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
969        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
970
971# This directory's subdirectories are mostly independent; you can cd
972# into them and run 'make' without going through this Makefile.
973# To change the values of 'make' variables: instead of editing Makefiles,
974# (1) if the variable is set in 'config.status', edit 'config.status'
975#     (which will cause the Makefiles to be regenerated when you run 'make');
976# (2) otherwise, pass the desired values on the 'make' command line.
977$(am__recursive_targets):
978        @fail=; \
979        if $(am__make_keepgoing); then \
980          failcom='fail=yes'; \
981        else \
982          failcom='exit 1'; \
983        fi; \
984        dot_seen=no; \
985        target=`echo $@ | sed s/-recursive//`; \
986        case "$@" in \
987          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
988          *) list='$(SUBDIRS)' ;; \
989        esac; \
990        for subdir in $$list; do \
991          echo "Making $$target in $$subdir"; \
992          if test "$$subdir" = "."; then \
993            dot_seen=yes; \
994            local_target="$$target-am"; \
995          else \
996            local_target="$$target"; \
997          fi; \
998          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
999          || eval $$failcom; \
1000        done; \
1001        if test "$$dot_seen" = "no"; then \
1002          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1003        fi; test -z "$$fail"
1004
1005ID: $(am__tagged_files)
1006        $(am__define_uniq_tagged_files); mkid -fID $$unique
1007tags: tags-recursive
1008TAGS: tags
1009
1010tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1011        set x; \
1012        here=`pwd`; \
1013        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1014          include_option=--etags-include; \
1015          empty_fix=.; \
1016        else \
1017          include_option=--include; \
1018          empty_fix=; \
1019        fi; \
1020        list='$(SUBDIRS)'; for subdir in $$list; do \
1021          if test "$$subdir" = .; then :; else \
1022            test ! -f $$subdir/TAGS || \
1023              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1024          fi; \
1025        done; \
1026        $(am__define_uniq_tagged_files); \
1027        shift; \
1028        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1029          test -n "$$unique" || unique=$$empty_fix; \
1030          if test $$# -gt 0; then \
1031            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1032              "$$@" $$unique; \
1033          else \
1034            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1035              $$unique; \
1036          fi; \
1037        fi
1038ctags: ctags-recursive
1039
1040CTAGS: ctags
1041ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1042        $(am__define_uniq_tagged_files); \
1043        test -z "$(CTAGS_ARGS)$$unique" \
1044          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1045             $$unique
1046
1047GTAGS:
1048        here=`$(am__cd) $(top_builddir) && pwd` \
1049          && $(am__cd) $(top_srcdir) \
1050          && gtags -i $(GTAGS_ARGS) "$$here"
1051cscopelist: cscopelist-recursive
1052
1053cscopelist-am: $(am__tagged_files)
1054        list='$(am__tagged_files)'; \
1055        case "$(srcdir)" in \
1056          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1057          *) sdir=$(subdir)/$(srcdir) ;; \
1058        esac; \
1059        for i in $$list; do \
1060          if test -f "$$i"; then \
1061            echo "$(subdir)/$$i"; \
1062          else \
1063            echo "$$sdir/$$i"; \
1064          fi; \
1065        done >> $(top_builddir)/cscope.files
1066
1067distclean-tags:
1068        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1069
1070# Recover from deleted '.trs' file; this should ensure that
1071# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1072# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1073# to avoid problems with "make -n".
1074.log.trs:
1075        rm -f $< $@
1076        $(MAKE) $(AM_MAKEFLAGS) $<
1077
1078# Leading 'am--fnord' is there to ensure the list of targets does not
1079# expand to empty, as could happen e.g. with make check TESTS=''.
1080am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1081am--force-recheck:
1082        @:
1083
1084$(TEST_SUITE_LOG): $(TEST_LOGS)
1085        @$(am__set_TESTS_bases); \
1086        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1087        redo_bases=`for i in $$bases; do \
1088                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1089                    done`; \
1090        if test -n "$$redo_bases"; then \
1091          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1092          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1093          if $(am__make_dryrun); then :; else \
1094            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1095          fi; \
1096        fi; \
1097        if test -n "$$am__remaking_logs"; then \
1098          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1099               "recursion detected" >&2; \
1100        elif test -n "$$redo_logs"; then \
1101          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1102        fi; \
1103        if $(am__make_dryrun); then :; else \
1104          st=0;  \
1105          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1106          for i in $$redo_bases; do \
1107            test -f $$i.trs && test -r $$i.trs \
1108              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1109            test -f $$i.log && test -r $$i.log \
1110              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1111          done; \
1112          test $$st -eq 0 || exit 1; \
1113        fi
1114        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1115        ws='[   ]'; \
1116        results=`for b in $$bases; do echo $$b.trs; done`; \
1117        test -n "$$results" || results=/dev/null; \
1118        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1119        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1120        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1121        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1122        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1123        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1124        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1125        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1126          success=true; \
1127        else \
1128          success=false; \
1129        fi; \
1130        br='==================='; br=$$br$$br$$br$$br; \
1131        result_count () \
1132        { \
1133            if test x"$$1" = x"--maybe-color"; then \
1134              maybe_colorize=yes; \
1135            elif test x"$$1" = x"--no-color"; then \
1136              maybe_colorize=no; \
1137            else \
1138              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1139            fi; \
1140            shift; \
1141            desc=$$1 count=$$2; \
1142            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1143              color_start=$$3 color_end=$$std; \
1144            else \
1145              color_start= color_end=; \
1146            fi; \
1147            echo "$${color_start}# $$desc $$count$${color_end}"; \
1148        }; \
1149        create_testsuite_report () \
1150        { \
1151          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1152          result_count $$1 "PASS: " $$pass  "$$grn"; \
1153          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1154          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1155          result_count $$1 "FAIL: " $$fail  "$$red"; \
1156          result_count $$1 "XPASS:" $$xpass "$$red"; \
1157          result_count $$1 "ERROR:" $$error "$$mgn"; \
1158        }; \
1159        {                                                               \
1160          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1161            $(am__rst_title);                                           \
1162          create_testsuite_report --no-color;                           \
1163          echo;                                                         \
1164          echo ".. contents:: :depth: 2";                               \
1165          echo;                                                         \
1166          for b in $$bases; do echo $$b; done                           \
1167            | $(am__create_global_log);                                 \
1168        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1169        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1170        if $$success; then                                              \
1171          col="$$grn";                                                  \
1172         else                                                           \
1173          col="$$red";                                                  \
1174          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1175        fi;                                                             \
1176        echo "$${col}$$br$${std}";                                      \
1177        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1178        echo "$${col}$$br$${std}";                                      \
1179        create_testsuite_report --maybe-color;                          \
1180        echo "$$col$$br$$std";                                          \
1181        if $$success; then :; else                                      \
1182          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1183          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1184            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1185          fi;                                                           \
1186          echo "$$col$$br$$std";                                        \
1187        fi;                                                             \
1188        $$success || exit 1
1189
1190check-TESTS:
1191        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1192        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1193        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1194        @set +e; $(am__set_TESTS_bases); \
1195        log_list=`for i in $$bases; do echo $$i.log; done`; \
1196        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1197        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1198        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1199        exit $$?;
1200recheck: all $(check_PROGRAMS)
1201        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1202        @set +e; $(am__set_TESTS_bases); \
1203        bases=`for i in $$bases; do echo $$i; done \
1204                 | $(am__list_recheck_tests)` || exit 1; \
1205        log_list=`for i in $$bases; do echo $$i.log; done`; \
1206        log_list=`echo $$log_list`; \
1207        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1208                am__force_recheck=am--force-recheck \
1209                TEST_LOGS="$$log_list"; \
1210        exit $$?
1211.test.log:
1212        @p='$<'; \
1213        $(am__set_b); \
1214        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1215        --log-file $$b.log --trs-file $$b.trs \
1216        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1217        "$$tst" $(AM_TESTS_FD_REDIRECT)
1218@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1219@am__EXEEXT_TRUE@       @p='$<'; \
1220@am__EXEEXT_TRUE@       $(am__set_b); \
1221@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1222@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1223@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1224@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1225
1226distdir: $(DISTFILES)
1227        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1228        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1229        list='$(DISTFILES)'; \
1230          dist_files=`for file in $$list; do echo $$file; done | \
1231          sed -e "s|^$$srcdirstrip/||;t" \
1232              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1233        case $$dist_files in \
1234          */*) $(MKDIR_P) `echo "$$dist_files" | \
1235                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1236                           sort -u` ;; \
1237        esac; \
1238        for file in $$dist_files; do \
1239          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1240          if test -d $$d/$$file; then \
1241            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1242            if test -d "$(distdir)/$$file"; then \
1243              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1244            fi; \
1245            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1246              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1247              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1248            fi; \
1249            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1250          else \
1251            test -f "$(distdir)/$$file" \
1252            || cp -p $$d/$$file "$(distdir)/$$file" \
1253            || exit 1; \
1254          fi; \
1255        done
1256        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1257          if test "$$subdir" = .; then :; else \
1258            $(am__make_dryrun) \
1259              || test -d "$(distdir)/$$subdir" \
1260              || $(MKDIR_P) "$(distdir)/$$subdir" \
1261              || exit 1; \
1262            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1263            $(am__relativize); \
1264            new_distdir=$$reldir; \
1265            dir1=$$subdir; dir2="$(top_distdir)"; \
1266            $(am__relativize); \
1267            new_top_distdir=$$reldir; \
1268            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1269            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1270            ($(am__cd) $$subdir && \
1271              $(MAKE) $(AM_MAKEFLAGS) \
1272                top_distdir="$$new_top_distdir" \
1273                distdir="$$new_distdir" \
1274                am__remove_distdir=: \
1275                am__skip_length_check=: \
1276                am__skip_mode_fix=: \
1277                distdir) \
1278              || exit 1; \
1279          fi; \
1280        done
1281check-am: all-am
1282        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1283        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1284check: check-recursive
1285all-am: Makefile $(PROGRAMS) $(MANS)
1286installdirs: installdirs-recursive
1287installdirs-am:
1288        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1289          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1290        done
1291install: install-recursive
1292install-exec: install-exec-recursive
1293install-data: install-data-recursive
1294uninstall: uninstall-recursive
1295
1296install-am: all-am
1297        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1298
1299installcheck: installcheck-recursive
1300install-strip:
1301        if test -z '$(STRIP)'; then \
1302          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1303            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1304              install; \
1305        else \
1306          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1307            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1308            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1309        fi
1310mostlyclean-generic:
1311        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1312        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1313        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1314
1315clean-generic:
1316        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1317
1318distclean-generic:
1319        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1320        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1321
1322maintainer-clean-generic:
1323        @echo "This command is intended for maintainers to use"
1324        @echo "it deletes files that may require special tools to rebuild."
1325clean: clean-recursive
1326
1327clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1328        clean-libtool mostlyclean-am
1329
1330distclean: distclean-recursive
1331        -rm -rf ./$(DEPDIR)
1332        -rm -f Makefile
1333distclean-am: clean-am distclean-compile distclean-generic \
1334        distclean-tags
1335
1336dvi: dvi-recursive
1337
1338dvi-am:
1339
1340html: html-recursive
1341
1342html-am:
1343
1344info: info-recursive
1345
1346info-am:
1347
1348install-data-am: install-man
1349
1350install-dvi: install-dvi-recursive
1351
1352install-dvi-am:
1353
1354install-exec-am: install-libexecPROGRAMS
1355
1356install-html: install-html-recursive
1357
1358install-html-am:
1359
1360install-info: install-info-recursive
1361
1362install-info-am:
1363
1364install-man: install-man8
1365
1366install-pdf: install-pdf-recursive
1367
1368install-pdf-am:
1369
1370install-ps: install-ps-recursive
1371
1372install-ps-am:
1373
1374installcheck-am:
1375
1376maintainer-clean: maintainer-clean-recursive
1377        -rm -rf ./$(DEPDIR)
1378        -rm -f Makefile
1379maintainer-clean-am: distclean-am maintainer-clean-generic
1380
1381mostlyclean: mostlyclean-recursive
1382
1383mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1384        mostlyclean-libtool
1385
1386pdf: pdf-recursive
1387
1388pdf-am:
1389
1390ps: ps-recursive
1391
1392ps-am:
1393
1394uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1395
1396uninstall-man: uninstall-man8
1397
1398.MAKE: $(am__recursive_targets) check-am install-am install-strip
1399
1400.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1401        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1402        clean-libexecPROGRAMS clean-libtool cscopelist-am ctags \
1403        ctags-am distclean distclean-compile distclean-generic \
1404        distclean-libtool distclean-tags distdir dvi dvi-am html \
1405        html-am info info-am install install-am install-data \
1406        install-data-am install-dvi install-dvi-am install-exec \
1407        install-exec-am install-html install-html-am install-info \
1408        install-info-am install-libexecPROGRAMS install-man \
1409        install-man8 install-pdf install-pdf-am install-ps \
1410        install-ps-am install-strip installcheck installcheck-am \
1411        installdirs installdirs-am maintainer-clean \
1412        maintainer-clean-generic mostlyclean mostlyclean-compile \
1413        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1414        recheck tags tags-am uninstall uninstall-am \
1415        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1416
1417.PRECIOUS: Makefile
1418
1419
1420$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1421
1422# Tell versions [3.59,3.63) of GNU make to not export all variables.
1423# Otherwise a system limit (for SysV at least) may be exceeded.
1424.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.